import { ReplyWithPostMessageType } from '../../lib/sdkDappUtils';
import { HookResponseStatusEnum } from '../../types/hooks.enum';
export interface ReplyWithRedirectType {
    data?: ReplyWithPostMessageType;
    callbackUrl: string;
    transactionData?: {
        address: string;
        txHash: string;
        status: HookResponseStatusEnum;
    };
}
export declare const replyWithRedirect: ({ data, callbackUrl, transactionData }: ReplyWithRedirectType) => void;
