"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectValuesToString = void 0;
const objectValuesToString = (obj) => {
    return Object.keys(obj).reduce((newObj, key) => {
        const value = obj[key];
        if (value === undefined) {
            return newObj;
        }
        newObj[key] = String(value);
        return newObj;
    }, {});
};
exports.objectValuesToString = objectValuesToString;
//# sourceMappingURL=objectValuesToString.js.map