"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNftOrMultiEsdtTx = void 0;
var TransferDataEnum;
(function (TransferDataEnum) {
    TransferDataEnum["ESDTNFTTransfer"] = "ESDTNFTTransfer";
    TransferDataEnum["ESDTNFTCreate"] = "ESDTNFTCreate";
    TransferDataEnum["ESDTNFTBurn"] = "ESDTNFTBurn";
    TransferDataEnum["MultiESDTNFTTransfer"] = "MultiESDTNFTTransfer";
})(TransferDataEnum || (TransferDataEnum = {}));
const isNftOrMultiEsdtTx = (data) => Object.values(TransferDataEnum).some((value) => data.startsWith(value));
exports.isNftOrMultiEsdtTx = isNftOrMultiEsdtTx;
//# sourceMappingURL=isNftOrMultiEsdtTx.js.map