"use strict";
// TODO make use of SDK_DAPP_VERSION constant from sdk-dapp on upgrade
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeCallbackUrlSearchParams = void 0;
const sanitizeCallbackUrlSearchParams = (callbackUrl) => {
    const decodedUrl = decodeURIComponent(decodeURIComponent(callbackUrl));
    const url = new URL(decodedUrl);
    url.searchParams.forEach((_, key) => {
        if (key.startsWith('sdk-dapp-version')) {
            url.searchParams.delete(key);
        }
    });
    return url.toString();
};
exports.sanitizeCallbackUrlSearchParams = sanitizeCallbackUrlSearchParams;
//# sourceMappingURL=sanitizeCallbackUrlSearchParams.js.map