"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeSignHookCallbackUrl = void 0;
const sanitizeCallbackUrlSearchParams_1 = require("./sanitizeCallbackUrlSearchParams");
const sanitizeSignHookCallbackUrl = (newHook) => {
    const callbackUrl = (0, sanitizeCallbackUrlSearchParams_1.sanitizeCallbackUrlSearchParams)(newHook?.callbackUrl);
    return { ...newHook, callbackUrl };
};
exports.sanitizeSignHookCallbackUrl = sanitizeSignHookCallbackUrl;
//# sourceMappingURL=sanitizeSignHookCallbackUrl.js.map