import { TransactionFieldsType } from './transaction';
export declare const arrayOrString: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
export declare const signBaseSchema: import("yup/lib/object").RequiredObjectSchema<{
    data: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    token: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    chainId: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    sender: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    senderUsername: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    receiverUsername: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    gasLimit: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    guardian: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    guardianSignature: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    gasPrice: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    receiver: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    value: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    nonce: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    callbackUrl: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    executeAfterSign: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    postMessage: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
    data: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    token: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    chainId: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    sender: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    senderUsername: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    receiverUsername: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    gasLimit: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    guardian: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    guardianSignature: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    gasPrice: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    receiver: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    value: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    nonce: import("yup/lib/Lazy").default<import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any> | import("yup/lib/array").RequiredArraySchema<import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined>, any>;
    callbackUrl: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    executeAfterSign: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    postMessage: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>;
export declare const signTxSchema: ({ isMainnet, hookWhitelist, chainId, isSignHook }: TransactionFieldsType & {
    chainId: string;
}) => import("yup/lib/object").RequiredObjectSchema<{
    nonce: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    chainID: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
    nonce: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    chainID: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>;
interface ParseSignUrlReturnType<T> {
    callbackUrl: string;
    executeAfterSign?: string;
    txs: T[];
}
export declare const parseSignUrl: <T>(search: string) => ParseSignUrlReturnType<T>;
export {};
