"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDomainValid = void 0;
const extractDomain_1 = require("../../../hooks/helpers/extractDomain");
function isDomainValid(url = '', allowedDomains) {
    try {
        const { domain, isDevelopment } = (0, extractDomain_1.extractDomain)(url);
        return allowedDomains.includes(String(domain)) || isDevelopment;
    }
    catch {
        return false;
    }
}
exports.isDomainValid = isDomainValid;
//# sourceMappingURL=isDomainValid.js.map