export declare const getSignHookData: (schema: import("yup/lib/object").RequiredObjectSchema<{
    nonce: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    chainID: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
    nonce: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    chainID: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>) => (search: string) => {
    hookUrl: string;
    callbackUrl: string;
} | null;
